package com.unis.base.server.dao;

import com.unis.base.common.vo.*;
import com.unis.base.server.entity.PersonSystemDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface PersonSystemDao {
//    List<PersonSystemDO> selectSystem(String fileName,String orgCode);

    void insertone(PersonSystemVO personSystemVO);

    void updateOne(SavePersonVO savePersonVO);

    void deleteOne(String id);

    PersonSystemVO SelectOne(String id);

    void insertBath(List<PersonVO> personVoList);

    void updateN(String fileCode);

    void updateY(String fileCode);

    void updatePerson(PersonVO personVO);

    List<PersonVO> selectOm(String fid);

    void insertDept(String fid, String s,String id);

    List<String> selectDept(String fid);

    void uplatedept(String fid, String s);

    List<DeptArrVO> selecDearr(String fid);

    void deleteAll(String fid);

    String[] seleectName(String fileName);

    List<PersonSystemDO> selectSystem(String fileName, String orgCode,Integer status, List<String> fid,String userName);

    List<PersonSystemDO> selectSystem1(String fileName, String orgCode,Integer status);

    List<String> selectSs(String userId);

    void delAllP(String fid);

    void insertPerson(PersonVO personVO);
}
